function createPlayerList ( )
	local playerList = guiCreateGridList ( 0.80, 0.10, 0.15, 0.60, true )
	local column = guiGridListAddColumn( playerList, "Игрок", 0.85 )
	if ( column ) then
		for id, player in ipairs(getElementsByType("player")) do
			local row = guiGridListAddRow ( playerList )
			guiGridListSetItemText ( playerList, row, column, getPlayerName ( player ), false, false )
		end
	end
	guiGridListSetSelectedItem ( playerList, 0, 1, false )
	addEventHandler("onClientGUIDoubleClick", playerList,
		function ()
			local selectedItems = guiGridListGetSelectedItems ( playerList )
			local selectedPlayer = guiGridListGetItemText ( playerList, tonumber(selectedItems[1]["row"]), 1 )
			if getPlayerName ( localPlayer ) == selectedPlayer then
				 outputChatBox ("Ошибка: Себя выбрать нельзя", 255,255,127 )
				 guiSetVisible ( playerList, false )
			else
				if getElementData ( getPlayerFromName ( selectedPlayer ), "group" ) == 0 then
					triggerServerEvent ( "invitePlayerIntoGroupC", getPlayerFromName ( selectedPlayer ), getPlayerName ( localPlayer ), getElementData ( localPlayer, "group" ), 1 )
					outputChatBox ("Информация: Вы послали приглашение игроку " .. selectedPlayer , 0,153,51 )
					guiSetVisible ( playerList, false )
				else
					 outputChatBox ("Ошибка: Этот игрок уже состоит в группе", 255,255,127 )
				end
			end
		end,false)
end


addCommandHandler ("qo", createPlayerList )

function loadGroupsResource ()
	setElementData ( localPlayer, "group", 0 )
	setElementData ( localPlayer, "group-owner", 0 )
	setElementData ( localPlayer, "group-c", "0" )
end

addEventHandler ( "onClientResourceStart",  getResourceRootElement(getThisResource()), loadGroupsResource )

function showGroupQuestionC ( name, id, types )
	group_InviteQ = guiCreateWindow(0.3391,0.3458,0.3461,0.1667,"Приглашение в группу",true)
	group_InviteQ_l = guiCreateLabel(0.0226,0.225,0.9526,0.1417, name .. " приглашает вас в свою группу, принять приглашение?",true,group_InviteQ)
	guiSetFont(group_InviteQ_l,"default-bold-small")
	group_InviteQ_y = guiCreateButton(0.0497,0.5333,0.5485,0.3167,"Да",true,group_InviteQ)
	guiSetFont(group_InviteQ_y,"default-bold-small")
	group_InviteQ_n = guiCreateButton(0.6659,0.525,0.2438,0.3167,"Нет",true,group_InviteQ)
	guiSetFont(group_InviteQ_n,"default-small")
	guiSetVisible ( group_InviteQ, true )
	showCursor ( true )
	addEventHandler("onClientGUIClick", group_InviteQ_y,
		function ()
			triggerServerEvent ( "inviteIntoGroupAcceptedC", localPlayer, name, id, types )
			guiSetVisible ( group_InviteQ, false )
			showCursor ( false )
		end,false)
	addEventHandler("onClientGUIClick", group_InviteQ_n,
		function ()
			showCursor ( false )
			triggerServerEvent ( "inviteIntoGroupNotAcceptedC", localPlayer, name, id, types )
			guiSetVisible ( group_InviteQ, false )
		end,false)
	
end

addEvent( "showGroupQuestion", true )
addEventHandler( "showGroupQuestion", getRootElement(), showGroupQuestionC )

local groupMenuVisible = 0 

function showGroupMenu ()
	if getPlayerTeam ( localPlayer ) then
		if groupMenuVisible == 0 then
			groupMenuVisible = 1
			showCursor ( true )
			outputChatBox ( getElementData (localPlayer, "group" ) )
			groupMenu = guiCreateWindow(0.3187,0.2819,0.368,0.4375,"Меню группы",true)
			groupMenu_Grid = guiCreateGridList(0.0212,0.0698,0.4947,0.8857,true,groupMenu)
			guiGridListSetSelectionMode(groupMenu_Grid,1)
			
			local column = guiGridListAddColumn( groupMenu_Grid, "Игрок", 0.85 )

			for id, player in ipairs(getElementsByType("player")) do
				if getPlayerTeam ( localPlayer ) == getPlayerTeam ( player ) then
					local row = guiGridListAddRow ( groupMenu_Grid )
					guiGridListSetItemText ( groupMenu_Grid, row, column, getPlayerName ( player ), false, false )
				end
			end

			--GUIEditor_Button[1] = guiCreateButton(620,85,0,5,"",false,groupMenu)
			
			guiGridListSetSelectedItem ( groupMenu_Grid, 1, 1, false )
			guiGridListSetSelectedItem ( groupMenu_Grid, 1, 2, false )
			
			local invitePlayerBtn = guiCreateButton(0.5563,0.0889,0.4013,0.1206,"Пригласить игрока",true,groupMenu)
			local kickPlayerBtn = guiCreateButton(0.5563,0.2635,0.4013,0.1206,"Выгнать игрока",true,groupMenu)
			local leaveGroupBtn = guiCreateButton(0.5563,0.8127,0.4013,0.1206,"Выйти из группы",true,groupMenu)
			local setLeaderBtn = guiCreateButton(0.5563,0.454,0.4013,0.1206,"Назначить лидером",true,groupMenu)
			local deleteGroupBtn = guiCreateButton(0.5563,0.6286,0.4013,0.1206,"Удалить группу",true,groupMenu)
			
			if getElementData ( localPlayer, "group-owner" ) == 0 then
				guiSetEnabled ( invitePlayerBtn, false )
				guiSetEnabled ( kickPlayerBtn, false )
				guiSetEnabled ( setLeaderBtn, false )
				guiSetEnabled ( deleteGroupBtn, false )
			end
			addEventHandler("onClientGUIClick", invitePlayerBtn,
				function ()
					createPlayerList ()
				end,false)
			addEventHandler("onClientGUIClick", deleteGroupBtn,
				function ()
					triggerServerEvent ( "destroyGroupC", localPlayer, getElementData ( localPlayer, "group" ) )
					guiSetVisible ( groupMenu, false ) 
					groupMenuVisible = 0
					showCursor ( false )
				end,false)
			addEventHandler("onClientGUIClick", leaveGroupBtn,
				function ()
					triggerServerEvent ( "leaveGroupC", localPlayer, getElementData ( localPlayer, "group" ) )
					guiSetVisible ( groupMenu, false ) 
					groupMenuVisible = 0
					showCursor ( false )
				end,false)
			addEventHandler("onClientGUIClick", kickPlayerBtn,
				function ()
					local selectedItems = guiGridListGetSelectedItems ( groupMenu_Grid )
					local selectedPlayer = guiGridListGetItemText ( groupMenu_Grid, tonumber(selectedItems[1]["row"]), 1 )
					if getPlayerName ( localPlayer ) == selectedPlayer then
						 outputChatBox ("Ошибка: Вы не можете выгнать себя из группы", 255,255,127 )
					else
						triggerServerEvent ( "kickFromGroupC", localPlayer, selectedPlayer )
					end
				end,false)
			addEventHandler("onClientGUIClick", setLeaderBtn,
				function ()
					local selectedItems = guiGridListGetSelectedItems ( groupMenu_Grid )
					local selectedPlayer = guiGridListGetItemText ( groupMenu_Grid, tonumber(selectedItems[1]["row"]), 1 )
					if getPlayerName ( localPlayer ) == selectedPlayer then
						 outputChatBox ("Ошибка: Вы уже лидер группы", 255,255,127 )
					else
						local player = getPlayerFromName ( selectedPlayer )
						if getElementData ( player, "group" ) == getElementData ( localPlayer, "group" ) then
							triggerServerEvent ( "setNewLeaderGroupC", player )
							outputChatBox ("Информация: Вы успешно назначили игрока лидером группы" , 0,153,51 )
						else
							outputChatBox ("Ошибка!", 255,255,127 )
						end
					end
				end,false)
		else
			guiSetVisible ( groupMenu, false )
			groupMenuVisible = 0
			showCursor ( false )
		end
	end
end

function bindMenuGroupC ( )
	bindKey ( "F2", "down", showGroupMenu )
	outputChatBox ("Подсказка: Откройте панель группы клавишей F2", 255,255,255 )
end

addEvent( "bindMenuGroup", true )
addEventHandler( "bindMenuGroup", getRootElement(), bindMenuGroupC )

function unbindMenuGroupC ( )
	unbindKey ( "F2", "down", showGroupMenu ) 
end

addEvent( "unbindMenuGroup", true )
addEventHandler( "unbindMenuGroup", getRootElement(), unbindMenuGroupC )