local totalGroups = 0

function createPlayersGroup ( source, second )
	totalGroups = totalGroups + 1
	local newTeam = createTeam ( tostring(totalGroups) ) -- create a new team with the specified name
	if newTeam then -- if it was successfully created
		setPlayerTeam ( source, newTeam ) -- add the player to the new team
		setPlayerTeam ( second, newTeam ) -- add the player to the new team
		setElementData ( second, "group", totalGroups)
		setElementData ( source, "group", totalGroups)
		setElementData ( source, "group-c", "0" )
		setElementData ( source, "group-owner", 1 )
		outputChatBox ("Информация: Вы приняли приглашение игрока "..getPlayerName ( source ).."", second, 0,153,51 )
		--outputChatBox ("Подсказка: Для открытия меню группы, нажмите кнопку J", second,255,255,255 )
		outputChatBox ("Информация: Вы успешно создали группу", source, 0,153,51 )
		--outputChatBox ("Подсказка: Для открытия меню группы, нажмите кнопку J", source,255,255,255 )
		triggerClientEvent ( source, "bindMenuGroup", source )
		triggerClientEvent ( second, "bindMenuGroup", second )
	end
	-- сделать ачивку
	--outputDebugString ("Group ID:"..tostring(groupID))
end

function startGroupCreation( source, commandName, ident )
	if(ident) then
		if getElementData ( source, "group-c" ) == "0" then
			if getPlayerName ( source ) ~= ident then
				local player = getPlayerFromName ( ident )	
				if player then
						setElementData ( source, "group-c", ident )
						triggerClientEvent ( player, "showGroupQuestion", player, getPlayerName ( source ), 0, 0 )
						outputChatBox ("Информация: Вы послали приглашение игроку " .. getPlayerName ( player ), source , 0,153,51 )
				else
					outputChatBox (" Этот игрок не в сети ",source, 255,255,127 )
				end
			else
				outputChatBox ("Ошибка: Нельзя пригласить самого себя", source,255,255,127 )
			end
		else
			outputChatBox ("Ошибка: Вы уже послали приглашение игроку " .. getElementData ( source, "group-c" ), source,255,255,127 )
		end
	else
    	outputChatBox ("Правильно: /gcreate имя игрока ", source,255,255,127 )
    end
end

addCommandHandler ("gcreate", startGroupCreation)

function invitePlayerIntoGroupS ( name, id, types )
	triggerClientEvent ( source, "showGroupQuestion", source, name, id, 1 )
end

addEvent( "invitePlayerIntoGroupC", true )
addEventHandler( "invitePlayerIntoGroupC", getRootElement(), invitePlayerIntoGroupS )

function leaveGroupS ( id )
	if getElementData ( source, "group-owner" ) == 1 then
		local leaveTeam = getTeamFromName ( tostring(id) )
		if ( leaveTeam ) then
			local players = getPlayersInTeam ( leaveTeam )
			local leaderName = getPlayerName ( source )
			local leaders = 1 
			for playerKey, thePlayer in ipairs ( players ) do
				if getPlayerName ( thePlayer ) ~= leaderName then
					if getElementData ( thePlayer, "group-owner" ) == 1 then
						leaders = leaders + 1
					end
				end
			end
			if leaders == 1 then
				outputChatBox ("Ошибка: Вы единственный лидер группы, вы не можете покинуть ее",source, 255,255,127 )
				return true
			end
		end
	end
	sendMessageToGroup ( id, ""..getPlayerName ( source ).." покинул нашу группу" )
	setPlayerTeam ( source, nil )
	triggerClientEvent ( source, "unbindMenuGroup", source )
	setElementData ( source, "group", 0 )
	setElementData ( source, "group-owner", 0 )
	outputChatBox ("Информация: Вы успешно вышли из группы" , source, 0,153,51 )
end

addEvent( "leaveGroupC", true )
addEventHandler( "leaveGroupC", getRootElement(), leaveGroupS )

function destroyGroupS ( id )
	local destroyTeam = getTeamFromName ( tostring(id) )
	if ( destroyTeam ) then
		local players = getPlayersInTeam ( destroyTeam )
		local leaderName = getPlayerName ( source )
		local leaders = 1 
		for playerKey, thePlayer in ipairs ( players ) do
			setPlayerTeam ( thePlayer, nil )
			triggerClientEvent ( thePlayer, "unbindMenuGroup", thePlayer )
			setElementData ( thePlayer, "group", 0 )
			setElementData ( thePlayer, "group-owner", 0 )
			outputChatBox ("Информация: Ваша группа была расформирована " .. getPlayerName ( source ), thePlayer, 0,153,51 )
		end
	end
end

addEvent( "destroyGroupC", true )
addEventHandler( "destroyGroupC", getRootElement(), destroyGroupS )

function inviteIntoGroupAcceptedS (name, groupID, types )
	if types == 0 then
		if getPlayerFromName ( name ) then
			createPlayersGroup ( getPlayerFromName ( name ), source )
		end
	else
		local invitedTeam = getPlayerTeam ( getPlayerFromName ( name ) )
		if countPlayersInTeam ( invitedTeam ) == 8 then
			outputChatBox ("Ошибка: Невозможно вступить в группу",source, 255,255,127 )
			outputChatBox ("Ошибка: Игрок "..getPlayerName ( source ).." не может вступить в вашу группу",getPlayerFromName ( name ), 255,255,127 )
		else
			sendMessageToGroup ( groupID, ""..getPlayerName ( source ).." вступил в нашу группу" )
			setElementData ( source, "group", groupID )
			setElementData ( source, "group-owner", 0 )
			setPlayerTeam ( source, invitedTeam ) -- add the player to the new team
			outputChatBox ("Информация: Вы успешно вступили в группу" , source, 0,153,51 )
			--outputChatBox ("Подсказка: Для открытия меню группы, нажмите кнопку J", source,255,255,255 )
			triggerClientEvent ( source, "bindMenuGroup", source )
		end
	end
end

addEvent( "inviteIntoGroupAcceptedC", true )
addEventHandler( "inviteIntoGroupAcceptedC", getRootElement(), inviteIntoGroupAcceptedS )

function inviteIntoGroupNotAcceptedS (name, groupID, types )
	if types == 0 then
		local invitedPlayer = getPlayerFromName ( name )
		if invitedPlayer then
			outputChatBox ("Информация: "..getPlayerName ( source ).." отказался создать с вами группу." , invitedPlayer, 0,153,51 )
			setElementData ( invitedPlayer, "group-c", "0" )
		end
	else
		local invitedPlayer = getPlayerFromName ( name )
		if invitedPlayer then
			outputChatBox ("Информация: "..getPlayerName ( source ).." отказался вступить в вашу группу." , invitedPlayer, 0,153,51 )
		end
	end
end

addEvent( "inviteIntoGroupNotAcceptedC", true )
addEventHandler( "inviteIntoGroupNotAcceptedC", getRootElement(), inviteIntoGroupNotAcceptedS )

function kickFromGroupS ( name )
	local kicked = getPlayerFromName ( name )
	local playerTeam = getPlayerTeam ( kicked )
	if playerTeam then 
		local playerTeamID = getElementData ( kicked, "group" )
		if getElementData ( kicked, "group" ) == getElementData ( source, "group" ) then
			setPlayerTeam ( kicked, nil )
			triggerClientEvent ( kicked, "unbindMenuGroup", kicked )
			sendMessageToGroup ( playerTeamID, "".. name .." покинул нашу группу" )
			setElementData ( kicked, "group", 0 )
			setElementData ( kicked, "group-owner", 0 )
			outputChatBox ("Информация: Вы были выкинуты из группы" , kicked, 0,153,51 )
		end
	end
end

addEvent( "kickFromGroupC", true )
addEventHandler( "kickFromGroupC", getRootElement(), kickFromGroupS )

function sendMessageToGroup ( id, message )
	--local invitedTeam = getTeamFromName ( tostring(id) )
	for id, player in ipairs(getElementsByType("player")) do
		if getElementData ( player, "group" ) == id then
			outputChatBox ("Сообщение группе: "..message,player, 255,255,127 )
		end
   end
end

function setNewLeaderGroupS () 
	setElementData ( source, "group-owner", 1 )
end

addEvent( "setNewLeaderGroupC", true )
addEventHandler( "setNewLeaderGroupC", getRootElement(), setNewLeaderGroupS )

function simpleGroupsLoaded (  )
	outputDebugString ( "Simple Groups resource special for SAMP-RUS.com", 3 )
end

addEventHandler ( "onResourceStart",  getResourceRootElement(getThisResource()), simpleGroupsLoaded )